Index: /trunk/sources/HeuristicLab.ExtLibs.sln
===================================================================
--- /trunk/sources/HeuristicLab.ExtLibs.sln	(revision 6868)
+++ /trunk/sources/HeuristicLab.ExtLibs.sln	(revision 6869)
@@ -61,7 +61,4 @@
 		Release|x64 = Release|x64
 		Release|x86 = Release|x86
-		Silverlight2|Any CPU = Silverlight2|Any CPU
-		Silverlight2|x64 = Silverlight2|x64
-		Silverlight2|x86 = Silverlight2|x86
 	EndGlobalSection
 	GlobalSection(ProjectConfigurationPlatforms) = postSolution
@@ -78,8 +75,4 @@
 		{FC841674-62A7-4055-BE91-E41944B6C606}.Release|x86.ActiveCfg = Release|x86
 		{FC841674-62A7-4055-BE91-E41944B6C606}.Release|x86.Build.0 = Release|x86
-		{FC841674-62A7-4055-BE91-E41944B6C606}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{FC841674-62A7-4055-BE91-E41944B6C606}.Silverlight2|x64.ActiveCfg = Release|x64
-		{FC841674-62A7-4055-BE91-E41944B6C606}.Silverlight2|x64.Build.0 = Release|x64
-		{FC841674-62A7-4055-BE91-E41944B6C606}.Silverlight2|x86.ActiveCfg = Release|x64
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -94,8 +87,4 @@
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|x86.ActiveCfg = Release|x86
 		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Release|x86.Build.0 = Release|x86
-		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Silverlight2|x64.ActiveCfg = Release|x64
-		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Silverlight2|x64.Build.0 = Release|x64
-		{DE69A359-A5B8-4D3D-BA8D-D5780D7F96D6}.Silverlight2|x86.ActiveCfg = Release|x64
 		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{02766ECC-D0F5-4115-9ECA-47409167B638}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -110,8 +99,4 @@
 		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x86.ActiveCfg = Release|x86
 		{02766ECC-D0F5-4115-9ECA-47409167B638}.Release|x86.Build.0 = Release|x86
-		{02766ECC-D0F5-4115-9ECA-47409167B638}.Silverlight2|Any CPU.ActiveCfg = Release|x86
-		{02766ECC-D0F5-4115-9ECA-47409167B638}.Silverlight2|x64.ActiveCfg = Release|x86
-		{02766ECC-D0F5-4115-9ECA-47409167B638}.Silverlight2|x86.ActiveCfg = Release|x86
-		{02766ECC-D0F5-4115-9ECA-47409167B638}.Silverlight2|x86.Build.0 = Release|x86
 		{89B50302-9CEE-4D13-9779-633EADCAE624}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{89B50302-9CEE-4D13-9779-633EADCAE624}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -126,8 +111,4 @@
 		{89B50302-9CEE-4D13-9779-633EADCAE624}.Release|x86.ActiveCfg = Release|x86
 		{89B50302-9CEE-4D13-9779-633EADCAE624}.Release|x86.Build.0 = Release|x86
-		{89B50302-9CEE-4D13-9779-633EADCAE624}.Silverlight2|Any CPU.ActiveCfg = Release|x86
-		{89B50302-9CEE-4D13-9779-633EADCAE624}.Silverlight2|x64.ActiveCfg = Release|x86
-		{89B50302-9CEE-4D13-9779-633EADCAE624}.Silverlight2|x86.ActiveCfg = Release|x86
-		{89B50302-9CEE-4D13-9779-633EADCAE624}.Silverlight2|x86.Build.0 = Release|x86
 		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -142,8 +123,4 @@
 		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Release|x86.ActiveCfg = Release|x86
 		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Release|x86.Build.0 = Release|x86
-		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Silverlight2|Any CPU.ActiveCfg = Release|x86
-		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Silverlight2|x64.ActiveCfg = Release|x86
-		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Silverlight2|x86.ActiveCfg = Release|x86
-		{A16F23B5-FB62-499E-A831-26953AA56FE2}.Silverlight2|x86.Build.0 = Release|x86
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -158,8 +135,4 @@
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.ActiveCfg = Release|x86
 		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Release|x86.Build.0 = Release|x86
-		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Silverlight2|Any CPU.ActiveCfg = Release|x86
-		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Silverlight2|x64.ActiveCfg = Release|x86
-		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Silverlight2|x86.ActiveCfg = Release|x86
-		{1B3063DB-D71C-4A6A-A359-883E8F53A140}.Silverlight2|x86.Build.0 = Release|x86
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -174,8 +147,4 @@
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x86.ActiveCfg = Release|x86
 		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Release|x86.Build.0 = Release|x86
-		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Silverlight2|x64.ActiveCfg = Release|x64
-		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Silverlight2|x64.Build.0 = Release|x64
-		{BB994448-2B21-4564-BB2E-38D8FFF8CF18}.Silverlight2|x86.ActiveCfg = Release|x64
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -190,8 +159,4 @@
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x86.ActiveCfg = Release|x86
 		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Release|x86.Build.0 = Release|x86
-		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Silverlight2|x64.ActiveCfg = Release|x64
-		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Silverlight2|x64.Build.0 = Release|x64
-		{96AEBBEE-4203-45F3-BCF5-7B73BF256BDA}.Silverlight2|x86.ActiveCfg = Release|x64
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -206,8 +171,4 @@
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.ActiveCfg = Release|x86
 		{236459CE-80CF-4991-972F-DE74C826BCCC}.Release|x86.Build.0 = Release|x86
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|x64.ActiveCfg = Release|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|x64.Build.0 = Release|x64
-		{236459CE-80CF-4991-972F-DE74C826BCCC}.Silverlight2|x86.ActiveCfg = Release|x64
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -222,10 +183,4 @@
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.ActiveCfg = Release|x86
 		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Release|x86.Build.0 = Release|x86
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{250ADE34-82FD-4BAE-86D5-985FBE589C4A}.Silverlight2|x86.Build.0 = Silverlight2|x86
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -240,8 +195,4 @@
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x86.ActiveCfg = Release|x86
 		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Release|x86.Build.0 = Release|x86
-		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Silverlight2|x64.ActiveCfg = Release|x64
-		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Silverlight2|x64.Build.0 = Release|x64
-		{4ABA047D-46DD-4608-9E4A-41C5F92FDBB1}.Silverlight2|x86.ActiveCfg = Release|x64
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{678E2145-8152-4E19-9646-07D439D00301}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -256,8 +207,4 @@
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|x86.ActiveCfg = Release|x86
 		{678E2145-8152-4E19-9646-07D439D00301}.Release|x86.Build.0 = Release|x86
-		{678E2145-8152-4E19-9646-07D439D00301}.Silverlight2|Any CPU.ActiveCfg = Release|x86
-		{678E2145-8152-4E19-9646-07D439D00301}.Silverlight2|x64.ActiveCfg = Release|x86
-		{678E2145-8152-4E19-9646-07D439D00301}.Silverlight2|x86.ActiveCfg = Release|x86
-		{678E2145-8152-4E19-9646-07D439D00301}.Silverlight2|x86.Build.0 = Release|x86
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -272,8 +219,4 @@
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x86.ActiveCfg = Release|x86
 		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Release|x86.Build.0 = Release|x86
-		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Silverlight2|x64.ActiveCfg = Release|x64
-		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Silverlight2|x64.Build.0 = Release|x64
-		{1849A92E-DCFC-4E05-BB0A-D7B7A3DAFCFB}.Silverlight2|x86.ActiveCfg = Release|x64
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -288,10 +231,4 @@
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x86.ActiveCfg = Release|x86
 		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Release|x86.Build.0 = Release|x86
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|Any CPU.ActiveCfg = Silverlight2|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|Any CPU.Build.0 = Silverlight2|Any CPU
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x64.ActiveCfg = Silverlight2|x64
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x64.Build.0 = Silverlight2|x64
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x86.ActiveCfg = Silverlight2|x86
-		{6908BDCE-D925-43F3-94AC-A531E6DF2591}.Silverlight2|x86.Build.0 = Silverlight2|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.ActiveCfg = Debug|Any CPU
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Debug|Any CPU.Build.0 = Debug|Any CPU
@@ -306,8 +243,4 @@
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.ActiveCfg = Release|x86
 		{94186A6A-5176-4402-AE83-886557B53CCA}.Release|x86.Build.0 = Release|x86
-		{94186A6A-5176-4402-AE83-886557B53CCA}.Silverlight2|Any CPU.ActiveCfg = Release|x64
-		{94186A6A-5176-4402-AE83-886557B53CCA}.Silverlight2|x64.ActiveCfg = Release|x64
-		{94186A6A-5176-4402-AE83-886557B53CCA}.Silverlight2|x64.Build.0 = Release|x64
-		{94186A6A-5176-4402-AE83-886557B53CCA}.Silverlight2|x86.ActiveCfg = Release|x64
 	EndGlobalSection
 	GlobalSection(SolutionProperties) = preSolution