Index: branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs
===================================================================
--- branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 6898)
+++ branches/HeuristicLab.Hive-3.4/sources/HeuristicLab.Clients.Hive.Administrator/3.3/Views/ResourcesView.Designer.cs	(revision 6899)
@@ -50,4 +50,5 @@
       this.imageListSlaveGroups = new System.Windows.Forms.ImageList(this.components);
       this.splitSlaves = new System.Windows.Forms.SplitContainer();
+      this.btnRefresh = new System.Windows.Forms.Button();
       this.progressBar = new System.Windows.Forms.ProgressBar();
       this.btnSave = new System.Windows.Forms.Button();
@@ -57,7 +58,6 @@
       this.tabSlaveGroup = new System.Windows.Forms.TabControl();
       this.tabDetails = new System.Windows.Forms.TabPage();
+      this.slaveView = new HeuristicLab.Clients.Hive.Administrator.Views.SlaveView();
       this.tabSchedule = new System.Windows.Forms.TabPage();
-      this.btnRefresh = new System.Windows.Forms.Button();
-      this.slaveView = new HeuristicLab.Clients.Hive.Administrator.Views.SlaveView();
       this.scheduleView = new HeuristicLab.Clients.Hive.Administrator.Views.ScheduleView();
       ((System.ComponentModel.ISupportInitialize)(this.splitSlaves)).BeginInit();
@@ -99,4 +99,14 @@
       this.splitSlaves.SplitterDistance = 249;
       this.splitSlaves.TabIndex = 3;
+      // 
+      // btnRefresh
+      // 
+      this.btnRefresh.Image = ((System.Drawing.Image)(resources.GetObject("btnRefresh.Image")));
+      this.btnRefresh.Location = new System.Drawing.Point(3, 3);
+      this.btnRefresh.Name = "btnRefresh";
+      this.btnRefresh.Size = new System.Drawing.Size(24, 24);
+      this.btnRefresh.TabIndex = 8;
+      this.btnRefresh.UseVisualStyleBackColor = true;
+      this.btnRefresh.Click += new System.EventHandler(this.btnRefresh_Click);
       // 
       // progressBar
@@ -183,4 +193,17 @@
       this.tabDetails.UseVisualStyleBackColor = true;
       // 
+      // slaveView
+      // 
+      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)((((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Bottom)
+                  | System.Windows.Forms.AnchorStyles.Left)
+                  | System.Windows.Forms.AnchorStyles.Right)));
+      this.slaveView.Caption = "SlaveView";
+      this.slaveView.Content = null;
+      this.slaveView.Location = new System.Drawing.Point(7, 7);
+      this.slaveView.Name = "slaveView";
+      this.slaveView.ReadOnly = false;
+      this.slaveView.Size = new System.Drawing.Size(564, 502);
+      this.slaveView.TabIndex = 0;
+      // 
       // tabSchedule
       // 
@@ -193,26 +216,4 @@
       this.tabSchedule.Text = "Schedule";
       this.tabSchedule.UseVisualStyleBackColor = true;
-      // 
-      // btnRefresh
-      // 
-      this.btnRefresh.Image = ((System.Drawing.Image)(resources.GetObject("btnRefresh.Image")));
-      this.btnRefresh.Location = new System.Drawing.Point(3, 3);
-      this.btnRefresh.Name = "btnRefresh";
-      this.btnRefresh.Size = new System.Drawing.Size(24, 24);
-      this.btnRefresh.TabIndex = 8;
-      this.btnRefresh.UseVisualStyleBackColor = true;
-      this.btnRefresh.Click += new System.EventHandler(this.btnRefresh_Click);
-      // 
-      // slaveView
-      // 
-      this.slaveView.Anchor = ((System.Windows.Forms.AnchorStyles)(((System.Windows.Forms.AnchorStyles.Top | System.Windows.Forms.AnchorStyles.Left)
-                  | System.Windows.Forms.AnchorStyles.Right)));
-      this.slaveView.Caption = "SlaveView";
-      this.slaveView.Content = null;
-      this.slaveView.Location = new System.Drawing.Point(7, 7);
-      this.slaveView.Name = "slaveView";
-      this.slaveView.ReadOnly = false;
-      this.slaveView.Size = new System.Drawing.Size(564, 210);
-      this.slaveView.TabIndex = 0;
       // 
       // scheduleView